package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.CourseCode;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 科目编码管理Service接口
 *
 * @author yunyan
 * @date 2023-07-31
 */
public interface ICourseCodeService extends IService<CourseCode>
{

    /**
     * 查询科目编码管理列表
     *
     * @param courseCode 科目编码管理
     * @return 科目编码管理集合
     */
    public List<CourseCode> selectCourseCodeList(CourseCode courseCode);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(CourseCode dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(CourseCode dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     * 通过编码 查询 list
     * @param type
     * @return
     */
    List<CourseCode> getCodeListByType(Integer type);

}
